<?php
/*---------------------------------------------------+
| mFusion ME Content Management System
+----------------------------------------------------+
| Copyright  2005 - 2006 Robert Gaudyn
| http://mfusion.2loud.net.pl/
+----------------------------------------------------+
| mFusion is based on:
+----------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP") || !defined("iAUTH") || $aid != iAUTH) fallback("../../index.php");

if (file_exists(INFUSIONS."quotes_panel/locale/".$settings['locale'].".php")) {
        include INFUSIONS."quotes_panel/locale/".$settings['locale'].".php";
} else {
        include INFUSIONS."quotes_panel/locale/English.php";
}

$result = dbquery("SELECT * FROM ".$db_prefix."cytaty ORDER BY cytat_id");
$rows = dbrows($result);
$action=$_GET['action'];
$cytat_id=$_GET['cytat_id'];


if ($action == "delete") {
$result = dbquery("DELETE FROM ".$db_prefix."cytaty WHERE cytat_id='$cytat_id'");
		redirect(FUSION_SELF.$aidlink);
}

if (isset($_POST['default_cytat'])) {
$add_default_cytat = dbquery("INSERT INTO ".$db_prefix."cytaty (cytat_cytat, cytat_autor) VALUES ('Im mniej umiesz, tym lepiej pisz.', 'JAKUB KRZYZOSIAK'), ('Prawdziwym bojownikiem za wiar jest ten, kto w imi Boga walczy z samym sob.', 'MAHOMET'), ('Ludzie wyszych talentw pracuj, chocia pozornie nic nie robi.', 'LEONARDO DA VINCI'), ('Komputery s bezuyteczne, udzielaj tylko odpowiedzi.', 'PABLO PICASSO'), ('Marno nad marnociami i wszystko marno.', 'KOHELET'), ('Bardziej ciekawi nas znaczenie snw, nie rzeczy, ktre widzimy, budzc si.', 'DIOGENES'), ('Nic tak nie tworzy przyszoci jak marzenie.', 'WIKTOR HUGO'), ('Dajcie mi punkt oparcia, a porusz Ziemi.', 'ARCHIMEDES'), ('Tylko te drzwi pozostan zamknite, do ktrych nie pukae.', 'ANONIM'), ('Mio, mier, sprawiedliwo lepe s do szcztu, kochaj, bior, karz bez wszelkiego wzgldu.', 'HIERONIM KOCHOWSKI')");
redirect(FUSION_SELF.$aidlink);
}

if (isset($_POST['dodaj_cytat'])) {
$quote = strip_tags($_POST['cytat']); 
$cytat_autor = strtoupper($_POST['cytat_autor']); 

if ($action == "edit") {

$add_result = dbquery("UPDATE ".$db_prefix."cytaty SET cytat_cytat='$cytat', cytat_autor='$cytat_autor' WHERE cytat_id='$cytat_id'");
			redirect(FUSION_SELF.$aidlink);
} else {
$add_result = dbquery("INSERT INTO ".$db_prefix."cytaty (cytat_cytat, cytat_autor) VALUES ('$cytat', '$cytat_autor')");
redirect(FUSION_SELF.$aidlink);
}
}

if ($action == "edit") {
$result_edit = dbquery("SELECT * FROM ".$db_prefix."cytaty WHERE cytat_id=$cytat_id");
$edata = dbarray($result_edit);
$cytat = $edata['cytat_cytat']; 
$cytat_autor = $edata['cytat_autor']; 
$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;cytat_id=$cytat_id";
} else {
$cytat = "";
$cytat_autor = "";
$formaction = FUSION_SELF.$aidlink;

}

if ($action == "edit") {
opentable($locale['q_006']);
} else {
opentable($locale['q_007']);
}

echo "<form name='inputform' method='post' action='$formaction'>
<table align='center' width='520' cellspacing='0' cellpadding='0'>
<tr>
<td valign='top' width='140' class='tbl'>".$locale['q_008']."</td>
<td class='tbl'><textarea name='cytat' rows='5' class='textbox' style='width:380px;'>".$cytat."</textarea></td>
</tr>
<tr>
<td width='140' class='tbl'>".$locale['q_009']."</td>
<td class='tbl'><input type='text' name='cytat_autor' value='$cytat_autor' class='textbox' style='width:380px;'></td>
</tr>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>";
	echo "<input type='submit' name='dodaj_cytat' value='";
	
if ($action == "edit") echo $locale['q_010']; else echo $locale['q_011'];
	
	echo "' class='button'></td>
</tr>
</table>
</form>\n";
closetable();


opentable($locale['q_000']);

if ($rows != 0) {

echo '<center><br><table class="tbl-border" cellspacing="1" cellpadding="4" width="500">
<tr class="tbl2" height="25" style="vertical-align: middle;">
<td>'.$locale['q_009'].'</td>
<td style="text-align: left;">'.$locale['q_008'].'</td>
<td>'.$locale['q_012'].'</td>
</tr>';

while ($data = dbarray($result)) {
echo '<tr class="tbl1" style="vertical-align: middle;">
<td><span class="small"><b>'.$data['cytat_autor'].'</b></span></td>
<td style="text-align: left;">
<span class="small2">'.trimlink($data['cytat_cytat'], 45).'</span></td>
<td><a href="'.FUSION_SELF.$aidlink.'&amp;action=edit&amp;cytat_id='.$data['cytat_id'].'">'.$locale['q_013'].'</a> / <a href="'.FUSION_SELF.$aidlink.'&amp;action=delete&amp;cytat_id='.$data['cytat_id'].'" onClick="return DeleteItem()">'.$locale['q_014'].'</a></td>
</tr>';
}
echo '</table>';
echo "<script type='text/javascript'>
function DeleteItem() {
	return confirm('".$locale['q_015']."');
}
</script>\n";

} else {
echo "<center>".$locale['q_016']."
<form name='inputform' method='post' action='$formaction'>
<input type='submit' name='default_cytat' value='".$locale['q_017']."' class='button'>
</form>
</center>";
}
echo "<center><br>
<a href='".INFUSIONS."cytats_panel/cytats_admin.php".$aidlink."'>".$locale['q_018']."</a></center><br>";
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>